GIPHY Random lets you add some weirdness to the conversation by returning a single random GIF or Sticker related to the word or phrase entered. If no tag is specified, the GIF or Sticker returned is completely random.
| Gif URL | Sticker URL |
|---|---|
| api.giphy.com/v1/gifs/random | api.giphy.com/v1/stickers/random |
| Request Parameters: | Example: | Description: |
|---|---|---|
| api_key: string(required) | YOUR_API_KEY | GIPHY API Key. |
| tag: string | "burrito" or "burrito @cat" | Filters results by specified tag. Retrieves any random gif. You can optimize results by supplying gif tag @username rating query parameters. |
| rating: string | g | Filters results by specified rating. If you do not specify a rating, you will receive results from all possible ratings. |
| customer_id: string | e826c9fc5c929e0d6c6d423841a282aa | An identifier assigned to a user in your platform. Use it consistently across that user's requests. If you do not have your own user ID, you can use the identifier returned by the Random ID Endpoint. |
| country_code: string | US | Specify the country of origin of the end user request, in two-letter ISO 3166-1 alpha-2 format. Note: Please specify country code if requests are proxied through your service. |
| region: string | VA | Specify the country subdivision of the end user request, found in ISO 3166-2 format. Note: Please specify region if requests are proxied through your service and country_code is also proxied. |